## rkflashtool 0~20150809

=== Makefile ===
# Simple Makefile for RK Flash Tool

CC	= $(CROSSPREFIX)gcc
LD	= $(CC)
CFLAGS	= -O2 -W -Wall
LDFLAGS	=
LIBS	= -lusb-1.0
PREFIX ?= usr/local

ifdef LIBUSB
CFLAGS	+= -I$(LIBUSB)/include
LDFLAGS	+= -L$(LIBUSB)/lib
endif

MACH	= $(shell $(CC) -dumpmachine)
ifeq ($(findstring mingw,$(MACH)),mingw)
LDFLAGS	+= -s -static -lmman
USE_RES	= 1
endif
ifeq ($(findstring cygwin,$(MACH)),cygwin)
LDFLAGS	+= -s
USE_RES	= 1
endif

ifeq ($(USE_RES),1)
RC	= $(CROSSPREFIX)windres
RCFLAGS	= -O coff -i
BINEXT	= .exe
RESFILE	= %.res
AWK	= awk
VERMAJ	= $(shell $(AWK) '/define.*RKFLASHTOOL_VERSION_MAJOR/{print $$3}' version.h)
VERMIN	= $(shell $(AWK) '/define.*RKFLASHTOOL_VERSION_MINOR/{print $$3}' version.h)
VERREV	= 0
LCOPYR	= 2010-2013 Ivo van Poorten, Fukaumi Naoki, Guenter Knauf, Ulrich Prinz, Steve Wilson
FDESCR	= Flashtool for RK2808, RK2818, RK2918, RK3066, RK3068 and RK3188 based tablets
WWWURL	= http://sourceforge.net/projects/rkflashtool/
ifeq ($(findstring /sh,$(SHELL)),/sh)
DL	= '
endif
endif

PROGS	= $(patsubst %.c,%$(BINEXT), $(wildcard *.c))
SCRIPTS = rkunsign rkparametersblock rkmisc rkpad rkparameters

all: $(PROGS) $(SCRIPTS)

%$(BINEXT): %.c $(RESFILE)
	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LIBS)

install: $(PROGS) $(SCRIPTS)
	install -d -m 0755 $(DESTDIR)/$(PREFIX)/bin
	install -m 0755 $(PROGS) $(DESTDIR)/$(PREFIX)/bin
	install -m 0755 $(SCRIPTS) $(DESTDIR)/$(PREFIX)/bin

clean:
	$(RM) $(PROGS) *.res *.rc *.zip *.tar.gz *.tar.bz2 *.tar.xz *~ *.exe

uninstall:
	cd $(DESTDIR)/$(PREFIX)/bin && $(RM) -f $(PROGS) $(SCRIPTS)

%.res: %.rc
	$(RC) $(RCFLAGS) $< -o $@

%.rc: Makefile
	@echo $(DL)1 VERSIONINFO $(DL)>$@
	@echo $(DL) FILEVERSION $(VERMAJ),$(VERMIN),$(VERREV),0 $(DL)>>$@
	@echo $(DL) PRODUCTVERSION $(VERMAJ),$(VERMIN),$(VERREV),0 $(DL)>>$@
	@echo $(DL) FILEFLAGSMASK 0x3fL $(DL)>>$@
	@echo $(DL) FILEOS 0x40004L $(DL)>>$@
	@echo $(DL) FILEFLAGS 0x0L $(DL)>>$@
	@echo $(DL) FILETYPE 0x1L $(DL)>>$@
	@echo $(DL) FILESUBTYPE 0x0L $(DL)>>$@
	@echo $(DL)BEGIN $(DL)>>$@
	@echo $(DL)  BLOCK "StringFileInfo" $(DL)>>$@
	@echo $(DL)  BEGIN $(DL)>>$@
	@echo $(DL)    BLOCK "040904E4" $(DL)>>$@
	@echo $(DL)    BEGIN $(DL)>>$@
	@echo $(DL)      VALUE "LegalCopyright","\251 $(LCOPYR)\\0" $(DL)>>$@
#	@echo $(DL)      VALUE "CompanyName","$(COMPANY)\\0" $(DL)>>$@
	@echo $(DL)      VALUE "ProductName","$(notdir $(@:.rc=)).exe\\0" $(DL)>>$@
	@echo $(DL)      VALUE "ProductVersion","$(VERMAJ).$(VERMIN).$(VERREV)\\0" $(DL)>>$@
	@echo $(DL)      VALUE "License","Released under BSD license.\\0" $(DL)>>$@
	@echo $(DL)      VALUE "FileDescription","$(FDESCR)\\0" $(DL)>>$@
	@echo $(DL)      VALUE "FileVersion","$(VERMAJ).$(VERMIN).$(VERREV)\\0" $(DL)>>$@
	@echo $(DL)      VALUE "InternalName","$(notdir $(@:.rc=))\\0" $(DL)>>$@
	@echo $(DL)      VALUE "OriginalFilename","$(notdir $(@:.rc=)).exe\\0" $(DL)>>$@
	@echo $(DL)      VALUE "WWW","$(WWWURL)\\0" $(DL)>>$@
	@echo $(DL)    END $(DL)>>$@
	@echo $(DL)  END $(DL)>>$@
	@echo $(DL)  BLOCK "VarFileInfo" $(DL)>>$@
	@echo $(DL)  BEGIN $(DL)>>$@
	@echo $(DL)    VALUE "Translation", 0x409, 1252 $(DL)>>$@
	@echo $(DL)  END $(DL)>>$@
	@echo $(DL)END $(DL)>>$@

=== debian/changelog ===
rkflashtool (0~20150809-1) unstable; urgency=low

  * Initial release (Closes: #802463)

 -- Philipp Hug <hug@debian.org>  Tue, 20 Oct 2015 11:08:12 +0200

=== debian/control ===
Source: rkflashtool
Section: embedded
Priority: optional
Maintainer: Philipp Hug <hug@debian.org>
Build-Depends: debhelper (>= 9), libusb-1.0-0-dev
Standards-Version: 3.9.5
Homepage: https://github.com/linux-rockchip/rkflashtool
Vcs-Git: git@github.com:linux-rockchip/rkflashtool.git
Vcs-Browser: https://github.com/linux-rockchip/rkflashtool

Package: rkflashtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for flashing Rockchip devices
 Allows flashing of Rockchip based embedded linux devices.
 The list of currently supported devices is:
 RK2818, RK2918, RK2928, RK3026, RK3036, RK3066, RK312X, RK3168, RK3188, RK3288, RK3368

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install -- PREFIX=usr

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## rkflashtool 0~20160221

=== debian/changelog ===
rkflashtool (0~20160221-1) unstable; urgency=low

  New upstream version.
  * Add support for RK3368, RK3228 and RK3229

 -- Philipp Hug <philipp@hug.cx>  Sun, 21 Feb 2016 15:29:57 +0100

## rkflashtool 0~20160324

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,21 @@
 LD	= $(CC)
 CFLAGS	= -O2 -W -Wall
 LDFLAGS	=
-LIBS	= -lusb-1.0
 PREFIX ?= usr/local
 
-ifdef LIBUSB
+PKGCONFIG ?= $(shell pkg-config --exists libusb-1.0 && echo 1)
+
+ifeq ($(PKGCONFIG),1)
+CFLAGS += $(shell pkg-config --cflags libusb-1.0)
+LDFLAGS += $(shell pkg-config --libs libusb-1.0)
+else ifdef LIBUSB
 CFLAGS	+= -I$(LIBUSB)/include
 LDFLAGS	+= -L$(LIBUSB)/lib
+else
+CFLAGS	+= -I/usr/include/libusb-1.0
+LDFLAGS += -lusb-1.0
 endif
+
 
 MACH	= $(shell $(CC) -dumpmachine)
 ifeq ($(findstring mingw,$(MACH)),mingw)
@@ -45,7 +53,7 @@
 all: $(PROGS) $(SCRIPTS)
 
 %$(BINEXT): %.c $(RESFILE)
-	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS) $(LIBS)
+	$(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)
 
 install: $(PROGS) $(SCRIPTS)
 	install -d -m 0755 $(DESTDIR)/$(PREFIX)/bin

=== debian/changelog ===
rkflashtool (0~20160324-2) unstable; urgency=low

  * Update vcs links to point to salsa

 -- Philipp Hug <hug@debian.org>  Sat, 01 Dec 2018 15:53:37 +0100

rkflashtool (0~20160324-1) unstable; urgency=low

  * New upstream version:
    Add support for RK3126.
  * Fix link to git repository. (Closes: #811100 #860912)
  * Bump standards
  * Update supported device list in description.

 -- Philipp Hug <hug@debian.org>  Sat, 06 May 2017 11:52:18 +0200

=== debian/control ===
Source: rkflashtool
Section: embedded
Priority: optional
Maintainer: Philipp Hug <hug@debian.org>
Build-Depends: debhelper (>= 9), libusb-1.0-0-dev
Standards-Version: 3.9.8
Homepage: https://github.com/linux-rockchip/rkflashtool
Vcs-Git: https://salsa.debian.org/debian/rkflashtool.git
Vcs-Browser: https://salsa.debian.org/debian/rkflashtool

Package: rkflashtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for flashing Rockchip devices
 Allows flashing of Rockchip based embedded linux devices.
 The list of currently supported devices is:
 RK2818, RK2918, RK2928, RK3026, RK3036, RK3066, RK312X, RK3168, RK3188,
 RK3228, RK3229, RK3288, RK3368
